### Method

# Fwupd SecurityAttr set_result

since: 1.5.0

#### Declaration [src]

    void
    fwupd_security_attr_set_result (
      FwupdSecurityAttr* self,
      FwupdSecurityAttrResult result
    )

#### Description [src]

Sets the optional HSI result. This is required because some attributes may be a “success” when something is `locked` or may be “failed” if `found`.

Available since: 1.5.0

#### Parameters

`result`

  Type: `FwupdSecurityAttrResult`

  A security attribute result, e.g. `FWUPD_SECURITY_ATTR_LEVEL_LOCKED`.